#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		module	PyGitUp
Summary:	git-up(1) -- fetch and rebase all locally-tracked remote branches
Name:		python-%{module}
Version:	1.6.0
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	https://github.com/msiemens/PyGitUp/archive/v%{version}/%{module}-v%{version}.tar.gz
# Source0-md5:	f86f0b91e13defeddee38b9cb7b64b44
URL:		https://github.com/msiemens/PyGitUp
BuildRequires:	rpm-pythonprov
# if py_postclean is used
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python-git >= 2.1.8
BuildRequires:	python-async
BuildRequires:	python-colorama >= 0.3.7
BuildRequires:	python-click >= 6.0.0
BuildRequires:	python-distribute
BuildRequires:	python-gitdb
BuildRequires:	python-nose
BuildRequires:	python-six >= 1.10.0
BuildRequires:	python-smmap
BuildRequires:	python-termcolor >= 1.1.0
Requires:	python-git >= 2.1.8
Requires:	python-async
Requires:	python-colorama >= 0.3.7
Requires:	python-click >= 6.0.0
Requires:	python-gitdb
Requires:	python-modules
Requires:	python-nose
Requires:	python-smmap
Requires:	python-six >= 1.10.0
Requires:	python-termcolor >= 1.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
git-up(1) -- fetch and rebase all locally-tracked remote branches.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/git-up
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%dir %{py_sitescriptdir}/%{module}/tests
%{py_sitescriptdir}/%{module}/tests/*.py[co]
%{py_sitescriptdir}/%{module}/check-bundler.rb
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/git_up-*.egg-info
%endif
%changelog
* Sun Nov 11 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-PyGitUp.git;a=log;h=master

* Sun Nov 11 2018 Jan Rękorajski <baggins@pld-linux.org> 2e077a6
- up to 1.6.0

* Wed Apr 04 2018 Jan Rękorajski <baggins@pld-linux.org> acf629c
- disable tests, require configured git client

* Wed Apr 04 2018 Jan Rękorajski <baggins@pld-linux.org> d81fce0
- removed obsolete patch

* Wed Apr 04 2018 Jan Rękorajski <baggins@pld-linux.org> 7f13615
- up to 1.4.6

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 9c55148
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 378949d
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 298e403
- automatic change: use py_build/py_install macros

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> a87f81c
- updated to 1.1.5

* Fri Jul 04 2014 Jan Rękorajski <baggins@pld-linux.org> 3c48429
- rel 1

* Fri Jul 04 2014 Jan Rękorajski <baggins@pld-linux.org> 8ea250c
- disabled auto-dep for gitpython

* Fri Jul 04 2014 Jan Rękorajski <baggins@pld-linux.org> a0b5bf5
- disabled tests
- cleaned up files
- fixed deps

* Fri Jul 04 2014 Jan Rękorajski <baggins@pld-linux.org> a702c51
- fix python-git deps

* Thu Jul 03 2014 Jan Rękorajski <baggins@pld-linux.org> 5d7881f
- added deps and description

* Thu Jul 03 2014 Jan Rękorajski <baggins@pld-linux.org> 615730f
- added URL

* Thu Jul 03 2014 Jan Rękorajski <baggins@pld-linux.org> 06d5ad3
- initial revision, BR/R not filled

